aboutsummaryrefslogtreecommitdiff
path: root/travis/fedora.sh
diff options
context:
space:
mode:
Diffstat (limited to 'travis/fedora.sh')
-rwxr-xr-xtravis/fedora.sh20
1 files changed, 17 insertions, 3 deletions
diff --git a/travis/fedora.sh b/travis/fedora.sh
index a4633333e..959f3af20 100755
--- a/travis/fedora.sh
+++ b/travis/fedora.sh
@@ -1,12 +1,26 @@
#!/bin/sh
-# Copyright (c) 2018 Petr Vorel <pvorel@suse.cz>
-set -e
+# Copyright (c) 2018-2021 Petr Vorel <pvorel@suse.cz>
+set -ex
-yum -y install \
+yum="yum -y install"
+
+$yum \
+ asciidoc \
autoconf \
automake \
make \
clang \
gcc \
+ git \
findutils \
+ numactl-devel \
+ libtirpc \
+ libtirpc-devel \
+ perl-JSON \
+ perl-libwww-perl \
+ pkg-config \
redhat-lsb-core
+
+# CentOS 8 fixes
+$yum libmnl-devel || $yum libmnl
+$yum rubygem-asciidoctor || true